#include<stdio.h>
int main(){
	int N,K,a[100000],i,najmoc[100000],moc=0,moc1=0,zbir=0,j,pom,max=-200000,pozmax=0,pozmin=0;
	scanf("%d %d",&N,&K);
	for(i=0;i<N;i++){
		scanf("%d",&a[i]);
	}
   if(K==1){
   	max=a[0];
   	for(i=1;i<N;i++){
   		if(a[i]>max)max=a[i];
	   }
	   printf("%d",max);
   }
   else{
for(i=0;i<N-1;i++){
	for(j=i+1;j<N;j++){
moc=a[i]-a[j];
moc1=a[j]-a[i];
if(moc>moc1){
	max=moc;
	pozmax=i;
	pozmin=j;
}
else max=moc1;
	pozmax=i;
	pozmin=j;
}
najmoc[i]=max;
     if(pozmax!=N-1){
     for(i=pozmax;i<N-1;i++){
	  a[i]=a[i+1];
}}
     else N--;
    if(pozmin!=N-1){
    for(i=pozmin;i<N-2;i++){
	a[i]=a[i+1];
}
}
else N--;
   }
   max=najmoc[0];
for(i=0;i<N-1;i++){
	for(j=i+1;j<N;j++){
		if(najmoc[i]<najmoc[j]){
			pom=najmoc[i];
			najmoc[i]=najmoc[j];
			najmoc[j]=pom;
		}
	}
}
for(i=0;i<K/2;i++){
	zbir=zbir+najmoc[i];
}
printf("  %d",zbir);
   }
   return 0;
}